%define rbname imlib2
%define version 0.5.2
%define release %mkrel 7

Summary: Imlib2 bindings for Ruby
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: BSD-like
URL: http://ruby-imlib2.rubyforge.org/
Source0: %{rbname}-ruby-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel 
BuildRequires: imlib2-devel

%description
Imlib2 bindings for Ruby.

%prep
%setup -q -n %{rbname}-ruby-%{version}

%build
ruby extconf.rb
make

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO doc examples
%{ruby_sitearchdir}/%{rbname}.so




%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-7mdv2010.0
+ Revision: 433519
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-6mdv2009.0
+ Revision: 260412
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-5mdv2009.0
+ Revision: 251671
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.2-3mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 16628
- Use Development/Ruby group

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 16624
- Use std macros


* Tue Dec 19 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.2-1mdv2007.0
+ Revision: 99901
- 0.5.2
- mkrel
- Import ruby-imlib2

* Sun Jun 12 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.1-1mdk
- 0.5.1

* Sun Mar 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.0-1mdk
- First version of the package

